package com.bytedance.ies.xelement.picker;

import X.QNZ;
import com.bytedance.covode.number.Covode;
import com.lynx.tasm.behavior.ui.LynxBaseUI;
import com.lynx.tasm.behavior.ui.view.UISimpleView$$PropsSetter;

public class LynxPickerView$$PropsSetter extends UISimpleView$$PropsSetter {
    static {
        Covode.recordClassIndex(32459);
    }

    public void setProperty(LynxBaseUI lynxBaseUI, String str, QNZ qnz) {
        Boolean valueOf;
        LynxPickerView lynxPickerView = (LynxPickerView) lynxBaseUI;
        str.hashCode();
        switch (str.hashCode()) {
            case -1274708295:
                if (str.equals("fields")) {
                    lynxPickerView.setFields(qnz.LIZJ(str));
                    return;
                }
                break;
            case -854975978:
                if (str.equals("confirm-color")) {
                    lynxPickerView.setConfirmColor(qnz.LIZJ(str));
                    return;
                }
                break;
            case -752785969:
                if (str.equals("range-key")) {
                    lynxPickerView.setRangeKey(qnz.LJFF(str));
                    return;
                }
                break;
            case -586660946:
                if (str.equals("title-color")) {
                    lynxPickerView.setTitleColor(qnz.LIZJ(str));
                    return;
                }
                break;
            case -271594562:
                if (str.equals("confirm-string")) {
                    lynxPickerView.setConfirmString(qnz.LIZJ(str));
                    return;
                }
                break;
            case -28424822:
                if (str.equals("title-font-size")) {
                    lynxPickerView.setTitleFontSize(qnz.LIZJ(str));
                    return;
                }
                break;
            case 100571:
                if (str.equals("end")) {
                    lynxPickerView.setEnd(qnz.LIZJ(str));
                    return;
                }
                break;
            case 3357091:
                if (str.equals("mode")) {
                    lynxPickerView.setMode(qnz.LIZJ(str));
                    return;
                }
                break;
            case 49495748:
                if (str.equals("cancel-string")) {
                    lynxPickerView.setCancelString(qnz.LIZJ(str));
                    return;
                }
                break;
            case 108280125:
                if (str.equals("range")) {
                    lynxPickerView.setRange(qnz.LJFF(str));
                    return;
                }
                break;
            case 109757538:
                if (str.equals("start")) {
                    lynxPickerView.setStart(qnz.LIZJ(str));
                    return;
                }
                break;
            case 110371416:
                if (str.equals("title")) {
                    lynxPickerView.setTitle(qnz.LIZJ(str));
                    return;
                }
                break;
            case 111972721:
                if (str.equals("value")) {
                    lynxPickerView.setValue(qnz.LJFF(str));
                    return;
                }
                break;
            case 270940796:
                if (str.equals("disabled")) {
                    if (qnz.LIZIZ(str)) {
                        valueOf = null;
                    } else {
                        valueOf = Boolean.valueOf(qnz.LIZ(str, false));
                    }
                    lynxPickerView.setDisabled(valueOf);
                    return;
                }
                break;
            case 1372139088:
                if (str.equals("cancel-color")) {
                    lynxPickerView.setCancelColor(qnz.LIZJ(str));
                    return;
                }
                break;
            case 1732829925:
                if (str.equals("separator")) {
                    lynxPickerView.setSeparator(qnz.LIZJ(str));
                    return;
                }
                break;
        }
        super.setProperty(lynxBaseUI, str, qnz);
    }
}
